/*loading animation*/
#loading {
    position: fixed;
    display: block;
    top: 0;
    left: 0;
    right: 0;
    bottom:0;
    opacity: 1;
    background-color: #fff;
    z-index: 10000;
}

#loading-image {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    z-index: 100000;
}

#sidebar {
    min-height: 100vH;
}

thead input {
    width: 100%;
}

/*
    ADDITIONAL DEMO STYLE, NOT IMPORTANT TO MAKE THINGS WORK BUT TO MAKE IT A BIT NICER :)
*/
@import "https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700";


body {
    font-family: 'Poppins', sans-serif;
    background: #fafafa;
}

p {
    font-family: 'Poppins', sans-serif;
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
    color: #999;
}

.text-orange{
    color: #e79435;
}

#sidebar {
    /* don't forget to add all the previously mentioned styles here too */
    color: #fff;
    transition: margin-left 0.3s;
}

#sidebar ul li a{
    padding: 10px;
    font-size: 1.1em;
    display: block;
    text-decoration: none;
}

#sidebar ul li a:hover {
    background: #e79435;
    cursor: pointer;
}

#sidebar ul li a.active {
    background: #e79435;
}

#sidebar ul li.active > a, a[aria-expanded="true"] {
    color: #fff;
    background: #e79435;
}

#sidebar a{
    color: #fff;
}

ul ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;
}

ul ul a:hover {
    background: #e79435;
}

.nav-item .nav-link{
    color: #495057;
}

.nav-item .nav-link.active{
    color: #e79435;
}

/*Datatables*/
div.dataTables_wrapper {
    width: 75vW;
}

/*Charts*/
#chart{
    width: 75vW;
    height: 35vH;
}

/*topnav*/
.navbar-light .navbar-nav .active>.nav-link, .navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .nav-link.show, .navbar-light .navbar-nav .show>.nav-link{
    color: #e79435 !important;
}

.navbar-light .navbar-nav .nav-link:focus, .navbar-light .navbar-nav .nav-link:hover {
    color: #e79435 !important;
}

/*change default datatables styles*/
.page-item.active .page-link {
    background-color: #e79435;
    border-color: #e79435;
}

.page-link {
    color: #e79435;
}

.page-link:hover {
    color: #e79435;
}

.page-link:focus {
    box-shadow: 0 0 0 0.2rem rgb(231 148 53 / 25%);
}

table.dataTable tbody>tr.selected, table.dataTable tbody>tr>.selected {
    background-color: #e79435;
}

td > a {
    color: #17a2b8 !important;
}

div.dataTables_wrapper div.dataTables_paginate {
    display: inline-block;
    float: right;
}

.bottom{
    margin-top: 1rem!important;
}


.dropdown-item.active, .dropdown-item:active {
    color: #fff;
    text-decoration: none;
    background-color: #e79435;
}


div.dataTables_wrapper div.dataTables_length label {
    margin-bottom: 0;
}

#DataTables_Table_0{
    width: 100% !important;
}

/*adjust dismissable badges*/
.badge .close {
    margin-left: 0.25rem;
    color: inherit;
    font-size: inherit;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.5);
}